Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-RU-2016:1491-1: moderate: Recommended update for gdb
openSUSE Recommended Update: Recommended update for gdb
______________________________________________________________________________

Announcement ID: openSUSE-RU-2016:1491-1
Rating: moderate
References: #970589 #971556 #976404
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

This update for gdb fixes the following issues:

- GDB fails to attach to multi-threaded processes on the s390x
architecture. (bsc#976404, bsc#970589)
- GDB could terminate with a segmentation fault when printing values from
binaries built with some non-standard build options. (bsc#971556)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-679=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

gdb-7.9.1-10.1
gdb-debuginfo-7.9.1-10.1
gdb-debugsource-7.9.1-10.1
gdb-testresults-7.9.1-10.1
gdbserver-7.9.1-10.1
gdbserver-debuginfo-7.9.1-10.1


References:

https://bugzilla.suse.com/970589
https://bugzilla.suse.com/971556
https://bugzilla.suse.com/976404


< Previous Next >
This Thread
  • No further messages